function dYfuncvecdt = ODEfun(t,Yfuncvec); 
Ca = Yfuncvec(1); 
Cb = Yfuncvec(2); 
Cc = Yfuncvec(3); 
T = Yfuncvec(4); 
% Explicit equations
Cao = 4; 
vo = 240; 
k1a = 1.25 * exp(9500 / 1.987 * (1 / 320 - (1 / T))); 
k2b = 0.08 * exp(7000 / 1.987 * (1 / 290 - (1 / T))); 
ra = 0 - (k1a * Ca); 
V = 100 + vo * t; 
rc = 3 * k2b * Cb; 
rb = k1a * Ca / 2 - (k2b * Cb); 
% Differential equations
dCadt = ra + (Cao - Ca) * vo / V; 
dCbdt = rb - (Cb * vo / V); 
dCcdt = rc - (Cc * vo / V); 
dTdt = (35000 * (298 - T) - (Cao * vo * 30 * (T - 305)) + (-6500 * (0 - (k1a * Ca)) + 8000 * (0 - (k2b * Cb))) * V) / ((Ca * 30 + Cb * 60 + Cc * 20) * V + 100 * 35); 
dYfuncvecdt = [dCadt; dCbdt; dCcdt; dTdt]; 

